Subject: bug#2160: 23.0.60; Indentation of LOOP (cl-indent.el)

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 30 Sep 2019 09:59:19 +0200

[email-masked] writes:

> When using `common-lisp-indent-function', LOOP forms are by default
> indented as follows
>
>   (loop for x in '(a b c)
>      for y in '(1 2 3)
>      collect (cons x y))

(I'm going through old bug reports that unfortunately didn't get any
response at the time.)

This is still the case in Emacs 27.

> Setting the following
>
>   (setq lisp-simple-loop-indentation 1
>         lisp-loop-keyword-indentation 6
>         lisp-loop-forms-indentation 6)
>
> makes it be indented like
>
>   (loop for x in '(a b c)
>         for y in '(1 2 3)
>         collect (cons x y))
>
> which I think is more readable, and more canonical.
>
> I hence propose to change the default values in cl-indent.el of the
> above variables accordingly.

I agree that changing the default here would be a good idea, because
that's a very non-standard Common Lisp indentation.  Does anybody object
to changing it?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no